import java.math.BigInteger;

public class BinaryBigInteger
{
  public static void main( String[] args )
  {
    String s = "11011101 10101010 0010101 00010101".replace(" ", "");
    
    byte bs[] = new BigInteger(s, 2).toByteArray(); // [158,261,69,69]
    
    for ( byte b : bs )
      System.out.println( Integer.toBinaryString(b & 0xff) );
  }
}
